> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List user roles

> Retrieve existing user roles.



## OpenAPI

````yaml get /v1/users/roles
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/users/roles:
    get:
      tags:
        - Users > Roles
      summary: List user roles
      description: Retrieve existing user roles.
      operationId: listUserRoles
      parameters:
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            maximum: 100
            default: 50
          required: false
          name: take
          in: query
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            default: 0
          required: false
          name: skip
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedUserRole'
      security:
        - bearer: []
components:
  schemas:
    PaginatedUserRole:
      type: object
      properties:
        meta:
          type: object
          properties:
            total:
              type: number
              description: Total of existing items.
              example: 1
            taken:
              type: number
              description: Number of items returned.
              example: 1
            skipped:
              type: number
              description: Number of items skipped.
              example: 0
          required:
            - total
            - taken
            - skipped
        data:
          type: array
          items:
            $ref: '#/components/schemas/UserRole'
          description: List of UserRole.
      required:
        - meta
        - data
    UserRole:
      type: object
      properties:
        id:
          type: string
          description: Role ID.
          example: rol_DKL4Xcb5VSa8CQ
        name:
          type: string
          description: Role name.
          example: Admin
        description:
          type:
            - string
            - 'null'
          description: Role description.
          example: null
        is_default:
          type: boolean
          description: Whether this is the default role assigned to new users.
          example: false
      required:
        - id
        - name
        - description
        - is_default
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````